Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.plot
Class ContourPlot

    java.lang.Object
      org.jfree.chart.plot.Plot
          org.jfree.chart.plot.ContourPlot

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, AxisChangeListener, MarkerChangeListener, LegendItemSource, ContourValuePlot, ValueAxisPlot, DatasetChangeListener, org.jfree.util.PublicCloneable

Deprecated. This plot is no longer supported, please use `XYPlot` with an `XYBlockRenderer`.

    public class ContourPlot

extends Plot
implements ContourValuePlot, ValueAxisPlot, java.beans.PropertyChangeListener, java.io.Serializable, java.lang.Cloneable

A class for creating shaded contours.

See Also:
  Serialized Form

Field Summary
`protected static org.jfree.ui.RectangleInsets` | `DEFAULT_INSETS` Deprecated. The default insets.
`protected static java.util.ResourceBundle` | `localizationResources` Deprecated. The resourceBundle for the localization.

Fields inherited from class org.jfree.chart.plot.Plot
`DEFAULT_BACKGROUND_ALPHA, DEFAULT_BACKGROUND_PAINT, DEFAULT_FOREGROUND_ALPHA, DEFAULT_LEGEND_ITEM_BOX, DEFAULT_LEGEND_ITEM_CIRCLE, DEFAULT_OUTLINE_PAINT, DEFAULT_OUTLINE_STROKE, MINIMUM_HEIGHT_TO_DRAW, MINIMUM_WIDTH_TO_DRAW, ZERO`

Constructor Summary
`ContourPlot()` Deprecated. Creates a new plot with no dataset or axes.
`ContourPlot(ContourDataset dataset, ValueAxis domainAxis, ValueAxis rangeAxis, ColorBar colorBar)` Deprecated. Constructs a contour plot with the specified axes (other attributes take default values).

Method Summary
`void` | `addAnnotation(XYAnnotation annotation)` Deprecated. Adds an annotation to the plot.
`void` | `addDomainMarker(Marker marker)` Deprecated. Adds a marker for the domain axis.
`void` | `addRangeMarker(Marker marker)` Deprecated. Adds a marker for the range axis.
`void` | `axisChanged(AxisChangeEvent event)` Deprecated. Receives notification of a change to one of the plot's axes.
`void` | `clearAnnotations()` Deprecated. Clears all the annotations.
`void` | `clearDomainMarkers()` Deprecated. Clears all the domain markers.
`void` | `clearRangeMarkers()` Deprecated. Clears all the range markers.
`java.lang.Object` | `clone()` Deprecated. Extends plot cloning to this plot type
`void` | `contourRenderer(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D dataArea, PlotRenderingInfo info, ContourPlot plot, ValueAxis horizontalAxis, ValueAxis verticalAxis, ColorBar colorBar, ContourDataset data, CrosshairState crosshairState)` Deprecated. Fills the plot.
`void` | `datasetChanged(DatasetChangeEvent event)` Deprecated. Receives notification of a change to the plot's dataset.
`void` | `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area, java.awt.geom.Point2D anchor, PlotState parentState, PlotRenderingInfo info)` Deprecated. Draws the plot on a Java 2D graphics device (such as the screen or a printer).
`void` | `drawDomainMarker(java.awt.Graphics2D g2, ContourPlot plot, ValueAxis domainAxis, Marker marker, java.awt.geom.Rectangle2D dataArea)` Deprecated. Draws a vertical line on the chart to represent a 'range marker'.
`protected void` | `drawHorizontalLine(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D dataArea, double value, java.awt.Stroke stroke, java.awt.Paint paint)` Deprecated. Utility method for drawing a crosshair on the chart (if required).
`void` | `drawRangeMarker(java.awt.Graphics2D g2, ContourPlot plot, ValueAxis rangeAxis, Marker marker, java.awt.geom.Rectangle2D dataArea)` Deprecated. Draws a horizontal line across the chart to represent a 'range marker'.
`protected void` | `drawVerticalLine(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D dataArea, double value, java.awt.Stroke stroke, java.awt.Paint paint)` Deprecated. Utility method for drawing a crosshair on the chart (if required).
`ClipPath` | `getClipPath()` Deprecated. Returns the clipPath.
`ColorBar` | `getColorBar()` Deprecated. Returns the colorbar.
`org.jfree.ui.RectangleEdge` | `getColorBarLocation()` Deprecated. Returns the color bar location.
`Range` | `getContourDataRange()` Deprecated. Returns the range for the Contours.
`double` | `getDataAreaRatio()` Deprecated. Returns the data area ratio.
`Range` | `getDataRange(ValueAxis axis)` Deprecated. Returns the range for an axis.
`ContourDataset` | `getDataset()` Deprecated. Returns the primary dataset for the plot.
`ValueAxis` | `getDomainAxis()` Deprecated. Returns the domain axis for the plot.
`java.awt.Paint` | `getDomainCrosshairPaint()` Deprecated. Returns the domain crosshair color.
`java.awt.Stroke` | `getDomainCrosshairStroke()` Deprecated. Returns the Stroke used to draw the crosshair (if visible).
`double` | `getDomainCrosshairValue()` Deprecated. Returns the domain crosshair value.
`java.awt.Paint` | `getMissingPaint()` Deprecated. Returns the missingPaint.
`java.lang.String` | `getPlotType()` Deprecated. Returns the plot type as a string.
`double` | `getPtSizePct()` Deprecated. Returns the ptSizePct.
`ValueAxis` | `getRangeAxis()` Deprecated. Returns the range axis for the plot.
`java.awt.Paint` | `getRangeCrosshairPaint()` Deprecated. Returns the range crosshair color.
`java.awt.Stroke` | `getRangeCrosshairStroke()` Deprecated. Returns the Stroke used to draw the crosshair (if visible).
`double` | `getRangeCrosshairValue()` Deprecated. Returns the range crosshair value.
`ContourToolTipGenerator` | `getToolTipGenerator()` Deprecated. Returns the tool tip generator.
`XYURLGenerator` | `getURLGenerator()` Deprecated. Returns the URL generator for HTML image maps.
`void` | `handleClick(int x, int y, PlotRenderingInfo info)` Deprecated. Handles a 'click' on the plot by updating the anchor values...
`boolean` | `isCompatibleDomainAxis(ValueAxis axis)` Deprecated. Checks the compatibility of a domain axis, returning true if the axis is compatible with the plot, and false otherwise.
`boolean` | `isDomainCrosshairLockedOnData()` Deprecated. Returns a flag indicating whether or not the crosshair should "lock-on" to actual data values.
`boolean` | `isDomainCrosshairVisible()` Deprecated. Returns a flag indicating whether or not the domain crosshair is visible.
`boolean` | `isDomainZoomable()` Deprecated. Returns `false`.
`boolean` | `isRangeCrosshairLockedOnData()` Deprecated. Returns a flag indicating whether or not the crosshair should "lock-on" to actual data values.
`boolean` | `isRangeCrosshairVisible()` Deprecated. Returns a flag indicating whether or not the range crosshair is visible.
`boolean` | `isRangeZoomable()` Deprecated. Returns `false`.
`boolean` | `isRenderAsPoints()` Deprecated. Returns the renderAsPoints.
`void` | `pointRenderer(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D dataArea, PlotRenderingInfo info, ContourPlot plot, ValueAxis domainAxis, ValueAxis rangeAxis, ColorBar colorBar, ContourDataset data, CrosshairState crosshairState)` Deprecated. Draws the visual representation of a single data item.
`void` | `propertyChange(java.beans.PropertyChangeEvent event)` Deprecated. Notifies all registered listeners of a property change.
`void` | `render(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D dataArea, PlotRenderingInfo info, CrosshairState crosshairState)` Deprecated. Draws a representation of the data within the dataArea region, using the current renderer.
`void` | `setClipPath(ClipPath clipPath)` Deprecated. Sets the clipPath.
`void` | `setColorBarAxis(ColorBar axis)` Deprecated. Sets the colorbar for the plot.
`void` | `setColorBarLocation(org.jfree.ui.RectangleEdge edge)` Deprecated. Sets the color bar location and sends a `PlotChangeEvent` to all registered listeners.
`void` | `setDataAreaRatio(double ratio)` Deprecated. Sets the data area ratio.
`void` | `setDataset(ContourDataset dataset)` Deprecated. Sets the dataset for the plot, replacing the existing dataset if there is one.
`void` | `setDomainAxis(ValueAxis axis)` Deprecated. Sets the domain axis for the plot (this must be compatible with the plot type or an exception is thrown).
`void` | `setDomainCrosshairLockedOnData(boolean flag)` Deprecated. Sets the flag indicating whether or not the domain crosshair should "lock-on" to actual data values.
`void` | `setDomainCrosshairPaint(java.awt.Paint paint)` Deprecated. Sets the Paint used to color the crosshairs (if visible) and notifies registered listeners that the axis has been modified.
`void` | `setDomainCrosshairStroke(java.awt.Stroke stroke)` Deprecated. Sets the Stroke used to draw the crosshairs (if visible) and notifies registered listeners that the axis has been modified.
`void` | `setDomainCrosshairValue(double value)` Deprecated. Sets the domain crosshair value.
`void` | `setDomainCrosshairValue(double value, boolean notify)` Deprecated. Sets the domain crosshair value.
`void` | `setDomainCrosshairVisible(boolean flag)` Deprecated. Sets the flag indicating whether or not the domain crosshair is visible.
`void` | `setMissingPaint(java.awt.Paint paint)` Deprecated. Sets the missingPaint.
`void` | `setPtSizePct(double ptSizePct)` Deprecated. Sets the ptSizePct.
`void` | `setRangeAxis(ValueAxis axis)` Deprecated. Sets the range axis for the plot.
`void` | `setRangeCrosshairLockedOnData(boolean flag)` Deprecated. Sets the flag indicating whether or not the range crosshair should "lock-on" to actual data values.
`void` | `setRangeCrosshairPaint(java.awt.Paint paint)` Deprecated. Sets the Paint used to color the crosshairs (if visible) and notifies registered listeners that the axis has been modified.
`void` | `setRangeCrosshairStroke(java.awt.Stroke stroke)` Deprecated. Sets the Stroke used to draw the crosshairs (if visible) and notifies registered listeners that the axis has been modified.
`void` | `setRangeCrosshairValue(double value)` Deprecated. Sets the domain crosshair value.
`void` | `setRangeCrosshairValue(double value, boolean notify)` Deprecated. Sets the range crosshair value.
`void` | `setRangeCrosshairVisible(boolean flag)` Deprecated. Sets the flag indicating whether or not the range crosshair is visible.
`void` | `setRenderAsPoints(boolean renderAsPoints)` Deprecated. Sets the renderAsPoints.
`void` | `setToolTipGenerator(ContourToolTipGenerator generator)` Deprecated. Sets the tool tip generator.
`void` | `setURLGenerator(XYURLGenerator urlGenerator)` Deprecated. Sets the URL generator for HTML image maps.
`Range` | `visibleRange(ContourDataset data, Range x, Range y)` Deprecated. Returns the visible z-range.
`void` | `zoom(double percent)` Deprecated. Zooms the axis ranges by the specified percentage about the anchor point.
`void` | `zoomDomainAxes(double x, double y, double factor)` Deprecated. Multiplies the range on the domain axis/axes by the specified factor (to be implemented).
`void` | `zoomDomainAxes(double x, double y, double lowerPercent, double upperPercent)` Deprecated. Zooms the domain axes (not yet implemented).
`void` | `zoomRangeAxes(double x, double y, double factor)` Deprecated. Multiplies the range on the range axis/axes by the specified factor.
`void` | `zoomRangeAxes(double x, double y, double lowerPercent, double upperPercent)` Deprecated. Zooms the range axes (not yet implemented).

Methods inherited from class org.jfree.chart.plot.Plot
`addChangeListener, drawBackground, drawBackgroundImage, drawNoDataMessage, drawOutline, equals, fillBackground, getBackgroundAlpha, getBackgroundImage, getBackgroundImageAlignment, getBackgroundImageAlpha, getBackgroundPaint, getDatasetGroup, getDrawingSupplier, getForegroundAlpha, getInsets, getLegendItems, getNoDataMessage, getNoDataMessageFont, getNoDataMessagePaint, getOutlinePaint, getOutlineStroke, getParent, getRectX, getRectY, getRootPlot, isSubplot, markerChanged, notifyListeners, removeChangeListener, resolveDomainAxisLocation, resolveRangeAxisLocation, setBackgroundAlpha, setBackgroundImage, setBackgroundImageAlignment, setBackgroundImageAlpha, setBackgroundPaint, setDatasetGroup, setDrawingSupplier, setForegroundAlpha, setInsets, setInsets, setNoDataMessage, setNoDataMessageFont, setNoDataMessagePaint, setOutlinePaint, setOutlineStroke, setParent`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_INSETS

    protected static final org.jfree.ui.RectangleInsets DEFAULT_INSETS

  Deprecated.
  The default insets.

### localizationResources

    protected static java.util.ResourceBundle localizationResources

  Deprecated.
  The resourceBundle for the localization.

Constructor Detail

### ContourPlot

    public ContourPlot()

  Deprecated.
  Creates a new plot with no dataset or axes.

### ContourPlot

    public ContourPlot(ContourDataset dataset,
                       ValueAxis domainAxis,
                       ValueAxis rangeAxis,
                       ColorBar colorBar)

  Deprecated.
  Constructs a contour plot with the specified axes (other attributes take default values).

  Parameters:
    `dataset` - The dataset.
    `domainAxis` - The domain axis.
    `rangeAxis` - The range axis.
    `colorBar` - The z-axis axis.

Method Detail

### getColorBarLocation

    public org.jfree.ui.RectangleEdge getColorBarLocation()

  Deprecated.
  Returns the color bar location.

  Returns:
    The color bar location.

### setColorBarLocation

    public void setColorBarLocation(org.jfree.ui.RectangleEdge edge)

  Deprecated.
  Sets the color bar location and sends a `PlotChangeEvent` to all registered listeners.

  Parameters:
    `edge` - the location.

### getDataset

    public ContourDataset getDataset()

  Deprecated.
  Returns the primary dataset for the plot.

  Returns:
    The primary dataset (possibly `null`).

### setDataset

    public void setDataset(ContourDataset dataset)

  Deprecated.
  Sets the dataset for the plot, replacing the existing dataset if there is one.

  Parameters:
    `dataset` - the dataset (`null` permitted).

### getDomainAxis

    public ValueAxis getDomainAxis()

  Deprecated.
  Returns the domain axis for the plot.

  Returns:
    The domain axis.

### setDomainAxis

    public void setDomainAxis(ValueAxis axis)

  Deprecated.
  Sets the domain axis for the plot (this must be compatible with the plot type or an exception is thrown).

  Parameters:
    `axis` - The new axis.

### getRangeAxis

    public ValueAxis getRangeAxis()

  Deprecated.
  Returns the range axis for the plot.

  Returns:
    The range axis.

### setRangeAxis

    public void setRangeAxis(ValueAxis axis)

  Deprecated.
  Sets the range axis for the plot.

  An exception is thrown if the new axis and the plot are not mutually compatible.

  Parameters:
    `axis` - The new axis (null permitted).

### setColorBarAxis

    public void setColorBarAxis(ColorBar axis)

  Deprecated.
  Sets the colorbar for the plot.

  Parameters:
    `axis` - The new axis (null permitted).

### getDataAreaRatio

    public double getDataAreaRatio()

  Deprecated.
  Returns the data area ratio.

  Returns:
    The ratio.

### setDataAreaRatio

    public void setDataAreaRatio(double ratio)

  Deprecated.
  Sets the data area ratio.

  Parameters:
    `ratio` - the ratio.

### addDomainMarker

    public void addDomainMarker(Marker marker)

  Deprecated.
  Adds a marker for the domain axis.

  Typically a marker will be drawn by the renderer as a line perpendicular to the range axis, however this is entirely up to the renderer.

  Parameters:
    `marker` - the marker.

### clearDomainMarkers

    public void clearDomainMarkers()

  Deprecated.
  Clears all the domain markers.

### addRangeMarker

    public void addRangeMarker(Marker marker)

  Deprecated.
  Adds a marker for the range axis.

  Typically a marker will be drawn by the renderer as a line perpendicular to the range axis, however this is entirely up to the renderer.

  Parameters:
    `marker` - The marker.

### clearRangeMarkers

    public void clearRangeMarkers()

  Deprecated.
  Clears all the range markers.

### addAnnotation

    public void addAnnotation(XYAnnotation annotation)

  Deprecated.
  Adds an annotation to the plot.

  Parameters:
    `annotation` - the annotation.

### clearAnnotations

    public void clearAnnotations()

  Deprecated.
  Clears all the annotations.

### isCompatibleDomainAxis

    public boolean isCompatibleDomainAxis(ValueAxis axis)

  Deprecated.
  Checks the compatibility of a domain axis, returning true if the axis is compatible with the plot, and false otherwise.

  Parameters:
    `axis` - The proposed axis.
  Returns:
    `true` if the axis is compatible with the plot.

### draw

    public void draw(java.awt.Graphics2D g2,
                     java.awt.geom.Rectangle2D area,
                     java.awt.geom.Point2D anchor,
                     PlotState parentState,
                     PlotRenderingInfo info)

  Deprecated.
  Draws the plot on a Java 2D graphics device (such as the screen or a printer).

  The optional `info` argument collects information about the rendering of the plot (dimensions, tooltip information etc). Just pass in `null` if you do not need this information.

  Specified by:
    `draw` in class `Plot`
  Parameters:
    `g2` - the graphics device.
    `area` - the area within which the plot (including axis labels) should be drawn.
    `anchor` - the anchor point (`null` permitted).
    `parentState` - the state from the parent plot, if there is one.
    `info` - collects chart drawing information (`null` permitted).

### render

    public void render(java.awt.Graphics2D g2,
                       java.awt.geom.Rectangle2D dataArea,
                       PlotRenderingInfo info,
                       CrosshairState crosshairState)

  Deprecated.
  Draws a representation of the data within the dataArea region, using the current renderer.

  The `info` and `crosshairState` arguments may be `null`.

  Parameters:
    `g2` - the graphics device.
    `dataArea` - the region in which the data is to be drawn.
    `info` - an optional object for collection dimension information.
    `crosshairState` - an optional object for collecting crosshair info.

### contourRenderer

    public void contourRenderer(java.awt.Graphics2D g2,
                                java.awt.geom.Rectangle2D dataArea,
                                PlotRenderingInfo info,
                                ContourPlot plot,
                                ValueAxis horizontalAxis,
                                ValueAxis verticalAxis,
                                ColorBar colorBar,
                                ContourDataset data,
                                CrosshairState crosshairState)

  Deprecated.
  Fills the plot.

  Parameters:
    `g2` - the graphics device.
    `dataArea` - the area within which the data is being drawn.
    `info` - collects information about the drawing.
    `plot` - the plot (can be used to obtain standard color information etc).
    `horizontalAxis` - the domain (horizontal) axis.
    `verticalAxis` - the range (vertical) axis.
    `colorBar` - the color bar axis.
    `data` - the dataset.
    `crosshairState` - information about crosshairs on a plot.

### pointRenderer

    public void pointRenderer(java.awt.Graphics2D g2,
                              java.awt.geom.Rectangle2D dataArea,
                              PlotRenderingInfo info,
                              ContourPlot plot,
                              ValueAxis domainAxis,
                              ValueAxis rangeAxis,
                              ColorBar colorBar,
                              ContourDataset data,
                              CrosshairState crosshairState)

  Deprecated.
  Draws the visual representation of a single data item.

  Parameters:
    `g2` - the graphics device.
    `dataArea` - the area within which the data is being drawn.
    `info` - collects information about the drawing.
    `plot` - the plot (can be used to obtain standard color information etc).
    `domainAxis` - the domain (horizontal) axis.
    `rangeAxis` - the range (vertical) axis.
    `colorBar` - the color bar axis.
    `data` - the dataset.
    `crosshairState` - information about crosshairs on a plot.

### drawVerticalLine

    protected void drawVerticalLine(java.awt.Graphics2D g2,
                                    java.awt.geom.Rectangle2D dataArea,
                                    double value,
                                    java.awt.Stroke stroke,
                                    java.awt.Paint paint)

  Deprecated.
  Utility method for drawing a crosshair on the chart (if required).

  Parameters:
    `g2` - The graphics device.
    `dataArea` - The data area.
    `value` - The coordinate, where to draw the line.
    `stroke` - The stroke to use.
    `paint` - The paint to use.

### drawHorizontalLine

    protected void drawHorizontalLine(java.awt.Graphics2D g2,
                                      java.awt.geom.Rectangle2D dataArea,
                                      double value,
                                      java.awt.Stroke stroke,
                                      java.awt.Paint paint)

  Deprecated.
  Utility method for drawing a crosshair on the chart (if required).

  Parameters:
    `g2` - The graphics device.
    `dataArea` - The data area.
    `value` - The coordinate, where to draw the line.
    `stroke` - The stroke to use.
    `paint` - The paint to use.

### handleClick

    public void handleClick(int x,
                            int y,
                            PlotRenderingInfo info)

  Deprecated.
  Handles a 'click' on the plot by updating the anchor values...

  Overrides:
    `handleClick` in class `Plot`
  Parameters:
    `x` - x-coordinate, where the click occured.
    `y` - y-coordinate, where the click occured.
    `info` - An object for collection dimension information.

### zoom

    public void zoom(double percent)

  Deprecated.
  Zooms the axis ranges by the specified percentage about the anchor point.

  Overrides:
    `zoom` in class `Plot`
  Parameters:
    `percent` - The amount of the zoom.

### getPlotType

    public java.lang.String getPlotType()

  Deprecated.
  Returns the plot type as a string.

  Specified by:
    `getPlotType` in class `Plot`
  Returns:
    A short string describing the type of plot.

### getDataRange

    public Range getDataRange(ValueAxis axis)

  Deprecated.
  Returns the range for an axis.

  Specified by:
    `getDataRange` in interface `ValueAxisPlot`
  Parameters:
    `axis` - the axis.
  Returns:
    The range for an axis.

### getContourDataRange

    public Range getContourDataRange()

  Deprecated.
  Returns the range for the Contours.

  Specified by:
    `getContourDataRange` in interface `ContourValuePlot`
  Returns:
    The range for the Contours (z-axis).

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent event)

  Deprecated.
  Notifies all registered listeners of a property change.

  One source of property change events is the plot's renderer.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Parameters:
    `event` - Information about the property change.

### datasetChanged

    public void datasetChanged(DatasetChangeEvent event)

  Deprecated.
  Receives notification of a change to the plot's dataset.

  The chart reacts by passing on a chart change event to all registered listeners.

  Specified by:
    `datasetChanged` in interface `DatasetChangeListener`
  Overrides:
    `datasetChanged` in class `Plot`
  Parameters:
    `event` - Information about the event (not used here).

### getColorBar

    public ColorBar getColorBar()

  Deprecated.
  Returns the colorbar.

  Returns:
    The colorbar.

### isDomainCrosshairVisible

    public boolean isDomainCrosshairVisible()

  Deprecated.
  Returns a flag indicating whether or not the domain crosshair is visible.

  Returns:
    The flag.

### setDomainCrosshairVisible

    public void setDomainCrosshairVisible(boolean flag)

  Deprecated.
  Sets the flag indicating whether or not the domain crosshair is visible.

  Parameters:
    `flag` - the new value of the flag.

### isDomainCrosshairLockedOnData

    public boolean isDomainCrosshairLockedOnData()

  Deprecated.
  Returns a flag indicating whether or not the crosshair should "lock-on" to actual data values.

  Returns:
    The flag.

### setDomainCrosshairLockedOnData

    public void setDomainCrosshairLockedOnData(boolean flag)

  Deprecated.
  Sets the flag indicating whether or not the domain crosshair should "lock-on" to actual data values.

  Parameters:
    `flag` - the flag.

### getDomainCrosshairValue

    public double getDomainCrosshairValue()

  Deprecated.
  Returns the domain crosshair value.

  Returns:
    The value.

### setDomainCrosshairValue

    public void setDomainCrosshairValue(double value)

  Deprecated.
  Sets the domain crosshair value.

  Registered listeners are notified that the plot has been modified, but only if the crosshair is visible.

  Parameters:
    `value` - the new value.

### setDomainCrosshairValue

    public void setDomainCrosshairValue(double value,
                                        boolean notify)

  Deprecated.
  Sets the domain crosshair value.

  Registered listeners are notified that the axis has been modified, but only if the crosshair is visible.

  Parameters:
    `value` - the new value.
    `notify` - a flag that controls whether or not listeners are notified.

### getDomainCrosshairStroke

    public java.awt.Stroke getDomainCrosshairStroke()

  Deprecated.
  Returns the Stroke used to draw the crosshair (if visible).

  Returns:
    The crosshair stroke.

### setDomainCrosshairStroke

    public void setDomainCrosshairStroke(java.awt.Stroke stroke)

  Deprecated.
  Sets the Stroke used to draw the crosshairs (if visible) and notifies registered listeners that the axis has been modified.

  Parameters:
    `stroke` - the new crosshair stroke.

### getDomainCrosshairPaint

    public java.awt.Paint getDomainCrosshairPaint()

  Deprecated.
  Returns the domain crosshair color.

  Returns:
    The crosshair color.

### setDomainCrosshairPaint

    public void setDomainCrosshairPaint(java.awt.Paint paint)

  Deprecated.
  Sets the Paint used to color the crosshairs (if visible) and notifies registered listeners that the axis has been modified.

  Parameters:
    `paint` - the new crosshair paint.

### isRangeCrosshairVisible

    public boolean isRangeCrosshairVisible()

  Deprecated.
  Returns a flag indicating whether or not the range crosshair is visible.

  Returns:
    The flag.

### setRangeCrosshairVisible

    public void setRangeCrosshairVisible(boolean flag)

  Deprecated.
  Sets the flag indicating whether or not the range crosshair is visible.

  Parameters:
    `flag` - the new value of the flag.

### isRangeCrosshairLockedOnData

    public boolean isRangeCrosshairLockedOnData()

  Deprecated.
  Returns a flag indicating whether or not the crosshair should "lock-on" to actual data values.

  Returns:
    The flag.

### setRangeCrosshairLockedOnData

    public void setRangeCrosshairLockedOnData(boolean flag)

  Deprecated.
  Sets the flag indicating whether or not the range crosshair should "lock-on" to actual data values.

  Parameters:
    `flag` - the flag.

### getRangeCrosshairValue

    public double getRangeCrosshairValue()

  Deprecated.
  Returns the range crosshair value.

  Returns:
    The value.

### setRangeCrosshairValue

    public void setRangeCrosshairValue(double value)

  Deprecated.
  Sets the domain crosshair value.

  Registered listeners are notified that the plot has been modified, but only if the crosshair is visible.

  Parameters:
    `value` - the new value.

### setRangeCrosshairValue

    public void setRangeCrosshairValue(double value,
                                       boolean notify)

  Deprecated.
  Sets the range crosshair value.

  Registered listeners are notified that the axis has been modified, but only if the crosshair is visible.

  Parameters:
    `value` - the new value.
    `notify` - a flag that controls whether or not listeners are notified.

### getRangeCrosshairStroke

    public java.awt.Stroke getRangeCrosshairStroke()

  Deprecated.
  Returns the Stroke used to draw the crosshair (if visible).

  Returns:
    The crosshair stroke.

### setRangeCrosshairStroke

    public void setRangeCrosshairStroke(java.awt.Stroke stroke)

  Deprecated.
  Sets the Stroke used to draw the crosshairs (if visible) and notifies registered listeners that the axis has been modified.

  Parameters:
    `stroke` - the new crosshair stroke.

### getRangeCrosshairPaint

    public java.awt.Paint getRangeCrosshairPaint()

  Deprecated.
  Returns the range crosshair color.

  Returns:
    The crosshair color.

### setRangeCrosshairPaint

    public void setRangeCrosshairPaint(java.awt.Paint paint)

  Deprecated.
  Sets the Paint used to color the crosshairs (if visible) and notifies registered listeners that the axis has been modified.

  Parameters:
    `paint` - the new crosshair paint.

### getToolTipGenerator

    public ContourToolTipGenerator getToolTipGenerator()

  Deprecated.
  Returns the tool tip generator.

  Returns:
    The tool tip generator (possibly null).

### setToolTipGenerator

    public void setToolTipGenerator(ContourToolTipGenerator generator)

  Deprecated.
  Sets the tool tip generator.

  Parameters:
    `generator` - the tool tip generator (null permitted).

### getURLGenerator

    public XYURLGenerator getURLGenerator()

  Deprecated.
  Returns the URL generator for HTML image maps.

  Returns:
    The URL generator (possibly null).

### setURLGenerator

    public void setURLGenerator(XYURLGenerator urlGenerator)

  Deprecated.
  Sets the URL generator for HTML image maps.

  Parameters:
    `urlGenerator` - the URL generator (null permitted).

### drawDomainMarker

    public void drawDomainMarker(java.awt.Graphics2D g2,
                                 ContourPlot plot,
                                 ValueAxis domainAxis,
                                 Marker marker,
                                 java.awt.geom.Rectangle2D dataArea)

  Deprecated.
  Draws a vertical line on the chart to represent a 'range marker'.

  Parameters:
    `g2` - the graphics device.
    `plot` - the plot.
    `domainAxis` - the domain axis.
    `marker` - the marker line.
    `dataArea` - the axis data area.

### drawRangeMarker

    public void drawRangeMarker(java.awt.Graphics2D g2,
                                ContourPlot plot,
                                ValueAxis rangeAxis,
                                Marker marker,
                                java.awt.geom.Rectangle2D dataArea)

  Deprecated.
  Draws a horizontal line across the chart to represent a 'range marker'.

  Parameters:
    `g2` - the graphics device.
    `plot` - the plot.
    `rangeAxis` - the range axis.
    `marker` - the marker line.
    `dataArea` - the axis data area.

### getClipPath

    public ClipPath getClipPath()

  Deprecated.
  Returns the clipPath.

  Returns:
    ClipPath

### setClipPath

    public void setClipPath(ClipPath clipPath)

  Deprecated.
  Sets the clipPath.

  Parameters:
    `clipPath` - The clipPath to set

### getPtSizePct

    public double getPtSizePct()

  Deprecated.
  Returns the ptSizePct.

  Returns:
    double

### isRenderAsPoints

    public boolean isRenderAsPoints()

  Deprecated.
  Returns the renderAsPoints.

  Returns:
    boolean

### setPtSizePct

    public void setPtSizePct(double ptSizePct)

  Deprecated.
  Sets the ptSizePct.

  Parameters:
    `ptSizePct` - The ptSizePct to set

### setRenderAsPoints

    public void setRenderAsPoints(boolean renderAsPoints)

  Deprecated.
  Sets the renderAsPoints.

  Parameters:
    `renderAsPoints` - The renderAsPoints to set

### axisChanged

    public void axisChanged(AxisChangeEvent event)

  Deprecated.
  Receives notification of a change to one of the plot's axes.

  Specified by:
    `axisChanged` in interface `AxisChangeListener`
  Overrides:
    `axisChanged` in class `Plot`
  Parameters:
    `event` - information about the event.

### visibleRange

    public Range visibleRange(ContourDataset data,
                              Range x,
                              Range y)

  Deprecated.
  Returns the visible z-range.

  Parameters:
    `data` - the dataset.
    `x` - the x range.
    `y` - the y range.
  Returns:
    The range.

### getMissingPaint

    public java.awt.Paint getMissingPaint()

  Deprecated.
  Returns the missingPaint.

  Returns:
    Paint

### setMissingPaint

    public void setMissingPaint(java.awt.Paint paint)

  Deprecated.
  Sets the missingPaint.

  Parameters:
    `paint` - the missingPaint to set.

### zoomDomainAxes

    public void zoomDomainAxes(double x,
                               double y,
                               double factor)

  Deprecated.
  Multiplies the range on the domain axis/axes by the specified factor (to be implemented).

  Parameters:
    `x` - the x-coordinate (in Java2D space).
    `y` - the y-coordinate (in Java2D space).
    `factor` - the zoom factor.

### zoomDomainAxes

    public void zoomDomainAxes(double x,
                               double y,
                               double lowerPercent,
                               double upperPercent)

  Deprecated.
  Zooms the domain axes (not yet implemented).

  Parameters:
    `x` - the x-coordinate (in Java2D space).
    `y` - the y-coordinate (in Java2D space).
    `lowerPercent` - the new lower bound.
    `upperPercent` - the new upper bound.

### zoomRangeAxes

    public void zoomRangeAxes(double x,
                              double y,
                              double factor)

  Deprecated.
  Multiplies the range on the range axis/axes by the specified factor.

  Parameters:
    `x` - the x-coordinate (in Java2D space).
    `y` - the y-coordinate (in Java2D space).
    `factor` - the zoom factor.

### zoomRangeAxes

    public void zoomRangeAxes(double x,
                              double y,
                              double lowerPercent,
                              double upperPercent)

  Deprecated.
  Zooms the range axes (not yet implemented).

  Parameters:
    `x` - the x-coordinate (in Java2D space).
    `y` - the y-coordinate (in Java2D space).
    `lowerPercent` - the new lower bound.
    `upperPercent` - the new upper bound.

### isDomainZoomable

    public boolean isDomainZoomable()

  Deprecated.
  Returns `false`.

  Returns:
    A boolean.

### isRangeZoomable

    public boolean isRangeZoomable()

  Deprecated.
  Returns `false`.

  Returns:
    A boolean.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Deprecated.
  Extends plot cloning to this plot type

  Specified by:
    `clone` in interface `org.jfree.util.PublicCloneable`
  Overrides:
    `clone` in class `Plot`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if some component of the plot does not support cloning.
  See Also:
    `Plot.clone()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD